summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author Jeremy Hansen2022-04-06 03:54:46 +0200
committer Willy Sudiarto Raharjo2022-04-09 10:45:46 +0200
commita1c888513d6f520501c38c496ce5e417383585c4 (patch)
tree02647b9f21bf6a83723d6e241edc5cfef39befc0 /system
parent00ea6157e4f2d4f4c35ef2f24072c6f531101576 (diff)
downloadslackbuilds-a1c888513d6f520501c38c496ce5e417383585c4.tar.gz
system/ddrescueview: Added (GUI For ddrescue).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'system')
-rw-r--r--system/ddrescueview/README7
-rw-r--r--system/ddrescueview/ddrescueview.SlackBuild110
-rw-r--r--system/ddrescueview/ddrescueview.info10
-rw-r--r--system/ddrescueview/doinst.sh13
-rw-r--r--system/ddrescueview/slack-desc19
5 files changed, 159 insertions, 0 deletions
diff --git a/system/ddrescueview/README b/system/ddrescueview/README
new file mode 100644
index 0000000000..13d58bd945
--- /dev/null
+++ b/system/ddrescueview/README
@@ -0,0 +1,7 @@
+ddrescueview (Graphical viewer for GNU ddrescue mapfiles)
+
+This small tool allows the user to graphically examine ddrescue's
+mapfiles in a user friendly GUI application. The Main window displays
+a block grid with each block's color representing the block types it
+contains. Many people know this type of view from defragmentation
+programs.
diff --git a/system/ddrescueview/ddrescueview.SlackBuild b/system/ddrescueview/ddrescueview.SlackBuild
new file mode 100644
index 0000000000..5cfcb7d7e8
--- /dev/null
+++ b/system/ddrescueview/ddrescueview.SlackBuild
@@ -0,0 +1,110 @@
+#!/bin/bash
+
+# Slackware build script for ddrescueview
+
+# Copyright 2022 Jeremy Hansen jebrhansen+SBo@gmail.com
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=ddrescueview
+VERSION=${VERSION:-0.4.5}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-source-$VERSION.tar.xz
+cd $PRGNAM-source-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Build ddrescueview
+lazbuild "source/ddrescueview.lpi" --lazarusdir=/usr/share/lazarus
+
+# Install ddrescueview manually since the build system doesn't support targets
+install -D -m 755 source/ddrescueview $PKG/usr/bin/ddrescueview
+
+# Move over desktop files
+mkdir -p $PKG/usr/share
+cp -r resources/linux/icons $PKG/usr/share/
+install -D -m 644 resources/linux/applications/ddrescueview.desktop $PKG/usr/share/applications/ddrescueview.desktop
+
+# Move over manpage
+mkdir -p $PKG/usr/man/
+cp -r resources/linux/man $PKG/usr/man/
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ changelog.txt gpl.txt readme.txt \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/system/ddrescueview/ddrescueview.info b/system/ddrescueview/ddrescueview.info
new file mode 100644
index 0000000000..58c1e97f83
--- /dev/null
+++ b/system/ddrescueview/ddrescueview.info
@@ -0,0 +1,10 @@
+PRGNAM="ddrescueview"
+VERSION="0.4.5"
+HOMEPAGE="https://sourceforge.net/projects/ddrescueview/"
+DOWNLOAD="https://sourceforge.net/projects/ddrescueview/files/Test%20builds/v0.4.5/ddrescueview-source-0.4.5.tar.xz"
+MD5SUM="c0ad98bacd47428c1ce3894e0c55723e"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="lazarus"
+MAINTAINER="Jeremy Hansen"
+EMAIL="jebrhansen+SBo@gmail.com"
diff --git a/system/ddrescueview/doinst.sh b/system/ddrescueview/doinst.sh
new file mode 100644
index 0000000000..aea0f894eb
--- /dev/null
+++ b/system/ddrescueview/doinst.sh
@@ -0,0 +1,13 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/system/ddrescueview/slack-desc b/system/ddrescueview/slack-desc
new file mode 100644
index 0000000000..2a841bc99d
--- /dev/null
+++ b/system/ddrescueview/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+ddrescueview: ddrescueview (Graphical viewer for GNU ddrescue mapfiles)
+ddrescueview:
+ddrescueview: This small tool allows the user to graphically examine ddrescue's
+ddrescueview: mapfiles in a user friendly GUI application. The Main window displays
+ddrescueview: a block grid with each block's color representing the block types it
+ddrescueview: contains. Many people know this type of view from defragmentation
+ddrescueview: programs.
+ddrescueview:
+ddrescueview: HOMEPAGE: https://sourceforge.net/projects/ddrescueview/
+ddrescueview:
+ddrescueview: